# include "opihi.h"

int job	            PROTO((int, char **));
int reset           PROTO((int, char **));
int check           PROTO((int, char **));
int status	    PROTO((int, char **));
int stdout_pclient  PROTO((int, char **));
int stderr_pclient  PROTO((int, char **));
int version         PROTO((int, char **));

static Command cmds[] = {  
  {"job",       job,      "start job"},
  {"reset",     reset,    "reset job"},
  {"check",     check,    "check job"},
  {"status",    status,   "check job status"},
  {"stdout",    stdout_pclient,   "get stdout buffer"},
  {"stderr",    stderr_pclient,   "get stderr buffer"},
  {"version",   version,      "show version information"},
}; 

void InitPclient () {
  
  int i;

  for (i = 0; i < sizeof (cmds) / sizeof (Command); i++) {
    AddCommand (&cmds[i]);
  }

}
